package com.javaseleniumtemplate.tests.Estoque;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.AjusteInventarioFlows;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.EstoquePages.Estoque.AjusteInventarioPage;
import com.javaseleniumtemplate.pages.MainPage;
import org.testng.annotations.Test;

public class AjusteDeInventarioTests extends TestBase {
    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    AjusteInventarioFlows ajusteInventarioFlows;
    AjusteInventarioPage ajusteInventarioPage;


    @Test
    public void EfetuarAjusteInventario(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        ajusteInventarioFlows = new AjusteInventarioFlows();
        ajusteInventarioPage = new AjusteInventarioPage();

            //Parameteres_login:
                String usuario = "sandro.silva@teknisa.com";
                String senha = "Teknisa@2022";
            //Parameteres_Lançamento:
                String quantidade = "1";
                String cmpDesc = "Testes Automatizados";
                String descProduto = "Hela Poultry Broth Paste Clear KG";
                String descAlmoxarifado = "HELA MATRIZ";
                String descLote = "Teste Alan";
                String descUnidade = "HELA INGREDIENTES BRASIL";
                String descOperador = "Sandro Siilva";
                //Parameteres_Editar
                String quantidade2 = "2";
                String cmpDesc2 = "Deletar";
                String descProduto2 = "Ochsenbuillon Paste (Hela 7565810050001)";
                String descLote2 = "20013001";


        //Rotinas:
        loginFlows.efetuarLogin(usuario,senha);
        mainFlows.AcessandoAjusteInventario();
        ajusteInventarioFlows.aplicarFiltro(descUnidade,descOperador);
        ajusteInventarioFlows.adicionarAjusteIventario(quantidade,cmpDesc,descProduto,descAlmoxarifado,descLote);
        //ajusteInventarioFlows.editarAjusteIventario(cmpDesc2,quantidade2,descProduto2,descAlmoxarifado,descLote2);
        //ajusteInventarioFlows.excluirAjusteIventario();
        //ajusteInventarioFlows.importarAjusteInventario();
    }
    @Test
    public void EditarAjusteInventario(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        ajusteInventarioFlows = new AjusteInventarioFlows();
        ajusteInventarioPage = new AjusteInventarioPage();

        //Parameteres_login:
        String usuario = "sandro.silva@teknisa.com";
        String senha = "Teknisa@2022";
        //Parameteres_Lançamento:
        String quantidade = "1";
        String cmpDesc = "Testes Automatizados";
        String descProduto = "Hela Poultry Broth Paste Clear KG";
        String descAlmoxarifado = "HELA MATRIZ";
        String descLote = "Teste Alan";
        String descUnidade = "HELA INGREDIENTES BRASIL";
        String descOperador = "Sandro Siilva";
        //Parameteres_Editar
        String quantidade2 = "2";
        String cmpDesc2 = "Deletar";
        String descProduto2 = "Ochsenbuillon Paste (Hela 7565810050001)";
        String descLote2 = "20013001";



        loginFlows.efetuarLogin(usuario,senha);
        mainFlows.AcessandoAjusteInventario();
        ajusteInventarioFlows.aplicarFiltro(descUnidade,descOperador);
        ajusteInventarioFlows.editarAjusteIventario(cmpDesc2,quantidade2,descProduto2,descAlmoxarifado,descLote2);
    }
    @Test
    public void ExcluirAjusteInventario(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        ajusteInventarioFlows = new AjusteInventarioFlows();
        ajusteInventarioPage = new AjusteInventarioPage();

        //Parameteres_login:
        String usuario = "sandro.silva@teknisa.com";
        String senha = "Teknisa@2022";
        //Parameteres_Lançamento:
        String quantidade = "1";
        String cmpDesc = "Testes Automatizados";
        String descProduto = "Hela Poultry Broth Paste Clear KG";
        String descAlmoxarifado = "HELA MATRIZ";
        String descLote = "Teste Alan";
        String descUnidade = "HELA INGREDIENTES BRASIL";
        String descOperador = "Sandro Siilva";
        //Parameteres_Editar
        String quantidade2 = "2";
        String cmpDesc2 = "Deletar";
        String descProduto2 = "Ochsenbuillon Paste (Hela 7565810050001)";
        String descLote2 = "20013001";


        //Rotinas:
        loginFlows.efetuarLogin(usuario,senha);
        mainFlows.AcessandoAjusteInventario();
        ajusteInventarioFlows.aplicarFiltro(descUnidade,descOperador);
        ajusteInventarioFlows.excluirAjusteIventario();
    }
    @Test
    public void importarAjusteInventario(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        ajusteInventarioFlows = new AjusteInventarioFlows();
        ajusteInventarioPage = new AjusteInventarioPage();

        //Parameteres
        String usuario = "sandro.silva@teknisa.com";
        String senha = "Teknisa@2022";
        String descUnidade = "HELA INGREDIENTES BRASIL";
        String descOperador = "Sandro Siilva";

        loginFlows.efetuarLogin(usuario,senha);
        mainFlows.AcessandoAjusteInventario();
        ajusteInventarioFlows.aplicarFiltro(descUnidade,descOperador);
        ajusteInventarioFlows.importarAjusteInventario();

    }

}
